### Method

# GimpUi IntRadioFrame set_sensitivity

unstable since: 3.0

#### Declaration [src]

    void
    gimp_int_radio_frame_set_sensitivity (
      GimpIntRadioFrame* radio_frame,
      GimpIntRadioFrameSensitivityFunc func,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets a function that is used to decide about the sensitivity of radio buttons in the `radio_frame`. Use this if you want to set certain radio buttons insensitive.

Calling `gtk_widget_queue_draw()` on the `radio_frame` will cause the sensitivity to be updated.

Available since: 3.0

#### Parameters

`func`

  Type: `GimpIntRadioFrameSensitivityFunc`

  A function that returns a boolean value, or `NULL` to unset.

`data`

  Type: `gpointer`

  Data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destroy`

  Type: `GDestroyNotify`

  Destroy notification for `data`.